WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

Bug #417842 reported by Daniel Hermansson on 2009-08-23
This bug affects 2125 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Andy Whitcroft
Nominated for Karmic by Christian Schürer-Waldheim

Bug Description

Got this after resume from suspend to ram

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,1043829f,00100002'
   Controls : 36
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
   Mixer name : 'TriTech TR28602'
   Components : 'AC97a:54524123'
   Controls : 28
   Simple ctrls : 18
Date: Sun Aug 23 21:19:16 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
MachineType: System manufacturer P5K
Package: linux-image-2.6.31-6-generic 2.6.31-6.26
PccardctlIdent:

PccardctlStatus:

ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M splash
ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-6-generic N/A
 linux-firmware 1.16
RfKill:

SourcePackage: linux
Tags: kernel-oops
Title: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()
Uname: Linux 2.6.31-6-generic x86_64
WpaSupplicantLog:

dmi.bios.date: 07/03/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0603
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5K
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5K
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Revision history for this message
Daniel Hermansson (daniel.h) wrote :
description: updated
Revision history for this message
James Dearing (dearingj) wrote :

I just ran into the same problem, I think.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Steve McGrath (smcgrath23) wrote :

I got this message when my laptop woke via lidswitch. I'm not sure if it's related to a recent update, since my laptop was not set to suspend until recently, when I wiped out my Gnome settings.

Revision history for this message
niab (niabstill) wrote :

Seems like I was having the same problem. System was unresponsive after waking from suspend after opening laptop until I unplugged docked Creative Zen X-fi (MTP mediaplayer) and then I received the warning message. System is still running as I type, seemingly fine.

Revision history for this message
spaetz (spaetz) wrote :

Exactly same issue when suspending/resuming via lidswitch. Occurs quite frequently (although not in 100%, I think). Macbook4,1 here.

Revision history for this message
Richard Elkins (texadactyl) wrote :

I have a home-built Mini-ITX system based on Zotac IONITX-D-E (Dual Core Atom 330, Nvidia 9400M chipset). It used to automatically resume immediately after being suspended [):]. With the 2.6.31-11 kernel, this system now can suspend and stay asleep [(:]. It wakes up on a PS/2 keyboard event perfectly every time.

Unfortunately, when the Zotac board wakes up, this anomaly report appears consistently. If anyone would like more information or have me execute a specific test, please contact me.

uname -a =====>
Linux zotac 2.6.31-11-generic #36-Ubuntu SMP Fri Sep 25 06:37:23 UTC 2009 x86_64 GNU/Linux

Nvidia driver version = 185.18.36 (from the Ubuntu repositories)

lspci =====>
00:00.0 Host bridge: nVidia Corporation MCP79 Host Bridge (rev b1)
00:00.1 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
00:03.0 ISA bridge: nVidia Corporation MCP79 LPC Bridge (rev b2)
00:03.1 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
00:03.2 SMBus: nVidia Corporation MCP79 SMBus (rev b1)
00:03.3 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
00:03.5 Co-processor: nVidia Corporation MCP79 Co-processor (rev b1)
00:04.0 USB Controller: nVidia Corporation MCP79 OHCI USB 1.1 Controller (rev b1
)
00:04.1 USB Controller: nVidia Corporation MCP79 EHCI USB 2.0 Controller (rev b1
)
00:06.0 USB Controller: nVidia Corporation MCP79 OHCI USB 1.1 Controller (rev b1
)
00:06.1 USB Controller: nVidia Corporation MCP79 EHCI USB 2.0 Controller (rev b1
)
00:08.0 Audio device: nVidia Corporation MCP79 High Definition Audio (rev b1)
00:09.0 PCI bridge: nVidia Corporation MCP79 PCI Bridge (rev b1)
00:0a.0 Ethernet controller: nVidia Corporation MCP79 Ethernet (rev b1)
00:0b.0 IDE interface: nVidia Corporation MCP79 SATA Controller (rev b1)
00:0c.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:10.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:15.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:16.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:17.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:18.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
03:00.0 VGA compatible controller: nVidia Corporation ION VGA (rev b1)
04:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network
Adapter (PCI-Express) (rev 01)

`lshal -l` output is attached.

Revision history for this message
Alex Wauck (awauck) wrote :

This also happens to me. Judging by the lspci results for the people who have posted, it looks like this problem is not related to video hardware.

I wonder if this is really a serious issue. In the backtraces, suspend_test_finish+0x7c/0x80() is followed by warn_slowpath_fmt and warn_slowpath_common, so I the issue here is simply that the resume process is taking too long. Perhaps the common factor is the use of a non-free driver? I am using fglrx on my system, and I suspect Richard's ION system is running the nvidia blob. My dmesg reveals several oopses in fglrx (specifically, when it is trying (and failing) to save the contents of the framebuffer). That might explain the long run-time on my system. Perhaps the nvidia blob also takes too long? I also have a laptop with Intel graphics, and it does not have this problem.

Revision history for this message
spaetz (spaetz) wrote :

@Alex Wauck. I am experiencing this with my Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03) on a Macbook4,1. No nvidia drivers at all, and no ATI.

Revision history for this message
kylea (kylea) wrote :

2.6.31-11-generic #36-Ubuntu SMP Fri Sep 25 06:37:23 UTC 2009 x86_64 GNU/Linux
------------------
Description: Ubuntu karmic (development branch)
Release: 9.10

Occurred after a low battery suspend and restart

Revision history for this message
Antono Vasiljev (antono) wrote :

Same problem on MB 2,1

In my case everything works well after resube but apport reports this problem.

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=9.10
DISTRIB_CODENAME=karmic
DISTRIB_DESCRIPTION="Ubuntu karmic (development branch)"

uname -a
Linux ubook 2.6.31-11-generic #36-Ubuntu SMP Fri Sep 25 06:37:51 UTC 2009 i686 GNU/Linux

Revision history for this message
Antono Vasiljev (antono) wrote :

WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x80/0x90()

Revision history for this message
Alex Wauck (awauck) wrote :

Does this bug occur for anyone who is not using any non-free drivers?

Revision history for this message
Steve McGrath (smcgrath23) wrote : Re: [Bug 417842] Re: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

Affirmative. When this happened to me, I was not using any non-free drivers.
I should also mention for the record that there were no serious
consequences; Apport notified me about the oops after resume, and I carried
on working normally.

Revision history for this message
Michael (michael-enablingwolf) wrote :

I also had it the Oops without the non-free drivers. I attempted a reinstall. Tested it before installing them.
The only other thing that it effects, as far as I can tell. Is that my monitor will not go to sleep afterwards. Without the Oops issue, it works as I expect.

Revision history for this message
Tim Lunn (darkxst) wrote :

I have been getting this and not using non-free drivers.

I have intel integrated graphics card.

security vulnerability: no → yes
Revision history for this message
spaetz (spaetz) wrote :

Hey, it's annoying, but not a security vulnerability. Would you mind setting that back?

Kees Cook (kees) on 2009-10-03
security vulnerability: yes → no
Revision history for this message
Tim Lunn (darkxst) wrote :

This seems to have got worse for me in the last round of updates.

Still getting the kernel Ooops but not also gnome panel is all messed up on resume from RAM.

Revision history for this message
bertol (bertol-pinheiro) wrote :

Since the alpha 6 (when i started to use 9.10) this happens.

But until now, just this advice are showed. The system it self are fine.

On Sat, Oct 3, 2009 at 20:11, Tim <email address hidden> wrote:

> This seems to have got worse for me in the last round of updates.
>
> Still getting the kernel Ooops but not also gnome panel is all messed up
> on resume from RAM.
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> https://bugs.launchpad.net/bugs/417842
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Got this after resume from suspend to ram
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
> Mixer name : 'Realtek ALC883'
> Components : 'HDA:10ec0883,1043829f,00100002'
> Controls : 36
> Simple ctrls : 21
> Card1.Amixer.info:
> Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
> Mixer name : 'TriTech TR28602'
> Components : 'AC97a:54524123'
> Controls : 28
> Simple ctrls : 18
> Date: Sun Aug 23 21:19:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
> MachineType: System manufacturer P5K
> Package: linux-image-2.6.31-6-generic 2.6.31-6.26
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic
> root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M
> splash
> ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-6-generic N/A
> linux-firmware 1.16
> RfKill:
>
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> Uname: Linux 2.6.31-6-generic x86_64
> WpaSupplicantLog:
>
> dmi.bios.date: 07/03/2007
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 0603
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: P5K
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: P5K
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>

Revision history for this message
bertol (bertol-pinheiro) wrote :

Ok, sorry by the mistake.

On Sat, Oct 3, 2009 at 12:40, Kees Cook <email address hidden> wrote:

> ** This bug is no longer flagged as a security vulnerability
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> https://bugs.launchpad.net/bugs/417842
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Got this after resume from suspend to ram
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
> Mixer name : 'Realtek ALC883'
> Components : 'HDA:10ec0883,1043829f,00100002'
> Controls : 36
> Simple ctrls : 21
> Card1.Amixer.info:
> Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
> Mixer name : 'TriTech TR28602'
> Components : 'AC97a:54524123'
> Controls : 28
> Simple ctrls : 18
> Date: Sun Aug 23 21:19:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
> MachineType: System manufacturer P5K
> Package: linux-image-2.6.31-6-generic 2.6.31-6.26
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic
> root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M
> splash
> ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-6-generic N/A
> linux-firmware 1.16
> RfKill:
>
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> Uname: Linux 2.6.31-6-generic x86_64
> WpaSupplicantLog:
>
> dmi.bios.date: 07/03/2007
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 0603
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: P5K
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: P5K
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>

Revision history for this message
bertol (bertol-pinheiro) wrote :

Ok, sorry by the mistake.

On Sat, Oct 3, 2009 at 09:02, spaetz <email address hidden> wrote:

> Hey, it's annoying, but not a security vulnerability. Would you mind
> setting that back?
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> https://bugs.launchpad.net/bugs/417842
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Got this after resume from suspend to ram
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
> Mixer name : 'Realtek ALC883'
> Components : 'HDA:10ec0883,1043829f,00100002'
> Controls : 36
> Simple ctrls : 21
> Card1.Amixer.info:
> Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
> Mixer name : 'TriTech TR28602'
> Components : 'AC97a:54524123'
> Controls : 28
> Simple ctrls : 18
> Date: Sun Aug 23 21:19:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
> MachineType: System manufacturer P5K
> Package: linux-image-2.6.31-6-generic 2.6.31-6.26
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic
> root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M
> splash
> ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-6-generic N/A
> linux-firmware 1.16
> RfKill:
>
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> Uname: Linux 2.6.31-6-generic x86_64
> WpaSupplicantLog:
>
> dmi.bios.date: 07/03/2007
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 0603
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: P5K
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: P5K
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>

Revision history for this message
Christian Schürer-Waldheim (quincunx) wrote :

I've the same problem (I'm using the nvidia non-free driver). The reason why everyone is seeing this now is IMHO that before kernel oops where not reported by apport (this is a new feature in karmic). This messages (specially because it's every time the same after resume) are annoying (there are always two of them after resume), but the system works without any problems. It would be great if there would be a possibility to ignore certain (repeating) kernel oops.

Revision history for this message
Michael (michael-enablingwolf) wrote :

I respectfully disagree the system works without issues after the oops.
I can easily reproduce the monitor not going to sleep. If I do not get the oops, it works as I expect. If I get the oops, The monitor does not sleep. Even if I reset the power management options to another time. I even took the effort to install on another machine. It does the same on that. I consider the machine the antithesis of my primary setup which is testing Ubuntu 9.10.
I took the time to test it. Very consistent how it is reproducible on my installation(s.) Even on two build installations. I for the most part had a consistent and pleasant power management experiences, prior to this happening. In previous versions of Ubuntu. Far back as 2006.
The only exception was with VLC - and it complicating the monitor not sleeping. I haven't used VLC in many versions now.

Revision history for this message
spaetz (spaetz) wrote :

> The reason why everyone is seeing this now is IMHO that before kernel oops where not reported by apport

I disagree. Apport reporting oopses might be new, but there definitely no oopses in Jaunty, as a simple dmesg on both versions shows. The oops happens 100% on suspend/resume cycles here. Sometimes the monitor refuses to sleep, and sometimes the backlight refuses to come back on during resume (although the screen shows content) which also did not happen in Jaunty.

Revision history for this message
Christian Schürer-Waldheim (quincunx) wrote :

I reported what happens on my computer when I get these errors and oopses. I didn't speak about effects on other computers.

But you are right, there are new oopses in other cases as well which should be addressed before karmic is released. See for example Bug #406312 and Bug #438563.

tags: added: regression-potential
Revision history for this message
Andy Whitcroft (apw) wrote :

This message is truly a warning. For the reported it is indicating that resume took 10s rather than the hoped for 5s. It is not of itself indicative of any other failure. If you get other issues please file another bug specifically for them, and as they are suspend/resume related please include hardware type in the subject line as they are almost always hardware specific.

In this case the warning probabally should be converted to a non-oop type message. It does not mean anything is wrong for sure, only that things are slower than hoped.

Changed in linux (Ubuntu):
importance: Undecided → Low
assignee: nobody → Andy Whitcroft (apw)
status: Confirmed → In Progress
Revision history for this message
Alex Wauck (awauck) wrote :

How would one go about tracking down the source of the delay? Is there a reasonably easy method for profiling suspend/resume?

Revision history for this message
José Tomás Atria (jtatria) wrote :

Hello. I've centralized several bug reports related to the same warning message after resume from suspend in this one, since it's the earliest, has a higher progress status and it's been assigned. good luck!

Revision history for this message
James Deibele (jdeibele) wrote :

Thanks!
I hope that it does get fixed - I've never been able to get my Dell desktop
to hibernate or suspend.

Thanks agian.

2009/10/14 José Tomás Atria <email address hidden>

> Hello. I've centralized several bug reports related to the same warning
> message after resume from suspend in this one, since it's the earliest,
> has a higher progress status and it's been assigned. good luck!
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> https://bugs.launchpad.net/bugs/417842
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Revision history for this message
Nicolò Dalla Valentina (nicodrummervr) wrote :

I have many problem with videoboard becouse the video after boot and login is low quality and small with black in the right part of screen....this problem i want with ati radeon... i won't hibernate and i won't suspend my desktop... i can't listen system audio becouse i have ati hd codecs with going to conflict with realtek integrated with motherboard, i disable bios for driver realtek and i install new suondboard...i have many error when i open program.
I want see this bug when i see problem...good thanks for all

This problem there isnt with nvidia...bye

Revision history for this message
dJedGe (jerome-baril) wrote :

Happened just after Nexuiz (3D accelerated video game) stop. Run with latest nvidia driver.

Revision history for this message
pierreleinbach (pierreleinbach) wrote : Re: [Bug 417842] Re: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

I thought I was using the latest nvidia driver. can you tell me the latest you know of? thanks for the response; I love ubuntu! goodbye solaris...

Sent from my iPhone.

On Oct 14, 2009, at 4:51 PM, dJedGe <email address hidden> wrote:

Happened just after Nexuiz (3D accelerated video game) stop. Run with
latest nvidia driver.

--
WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()
https://bugs.launchpad.net/bugs/417842
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “linux” package in Ubuntu: In Progress

Bug description:
Got this after resume from suspend to ram

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: amd64
AudioDevicesInUse:
USER PID ACCESS COMMAND
/dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
  Mixer name : 'Realtek ALC883'
  Components : 'HDA:10ec0883,1043829f,00100002'
  Controls : 36
  Simple ctrls : 21
Card1.Amixer.info:
Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
  Mixer name : 'TriTech TR28602'
  Components : 'AC97a:54524123'
  Controls : 28
  Simple ctrls : 18
Date: Sun Aug 23 21:19:16 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
MachineType: System manufacturer P5K
Package: linux-image-2.6.31-6-generic 2.6.31-6.26
PccardctlIdent:

PccardctlStatus:

ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M splash
ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
RelatedPackageVersions:
linux-backports-modules-2.6.31-6-generic N/A
linux-firmware 1.16
RfKill:

SourcePackage: linux
Tags: kernel-oops
Title: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()
Uname: Linux 2.6.31-6-generic x86_64
WpaSupplicantLog:

dmi.bios.date: 07/03/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0603
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5K
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5K
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Revision history for this message
Nicolò Dalla Valentina (nicodrummervr) wrote :

I dont have nvidia in this moment i utiliize ati

Revision history for this message
menthurae (menthurae) wrote :

I'm also having this issue, interestingly I have an ASUS P5K Premium motherboard and an Nvidia 8800 Ultra GPU.

Revision history for this message
GruSum (tomnsue) wrote : Re: [Bug 417842] Re: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

menthurae wrote:
> I'm also having this issue, interestingly I have an ASUS P5K Premium
> motherboard and an Nvidia 8800 Ultra GPU.
>
>
I have the mobo bios updated to the latest version and am using the
latest Nvidia driver from the repos and the bug happens many times a day
but doesn't seem to cause any instability in the OS. I do not reboot.

I again had this error waiting on me this morning when I awoke the
machine from suspend.

--
If you take time to look for it, there is always lots to be thankful for. Right now, I'm thinking how nice it is wrinkles are not painful.

Revision history for this message
Jeff Moody (fifthecho) wrote :

Had this error/bug occur on a Gateway LT3103 Netbook waking up from suspend today.

Revision history for this message
Tarthen Brown (tarthen) wrote :

Got this on a Dell XPS 420 with nv 8600GTS & the Q6600 today. USB storage attached, if that means anything.

Revision history for this message
John Markus Bjørndalen (jmb) wrote :

Same error message after resume from suspend to ram.

Laptop: Dell Latitude D820, Nvidia, amd64 kernel.

The laptop was docked at the docking station, with an external 1920x1200 screen attached (extended desktop setup with a total resolution of 3840x1200).

lspci output for the card:
01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)

I can't say that I've noticed anything misbehaving though.

Revision history for this message
Duncan (wduncanf) wrote :

Same error message after resume from suspend to ram.

amd64 kernel on a AMD Phenon II X3 720, nvidia gtx. Everything seems to still be working properly though.

Revision history for this message
Christopher (soft-kristal) wrote :

The only issue remaining for me is re-enabling my AudioHub speakers via the Pulse applet volume control on resume. My PCI card recovers within a few seconds as opposed to minutes.

I just ignore the error message.

Revision history for this message
bernddude (bernddude) wrote :

i updated to the latest build from 10/22 no change bug still occurs with my Dell XPS1530 / Nvidia 8600.
i thought it may be the Nvidia hardware drive, replaced it with the software version ...no difference
thought it may be the pulse audio driver ... removed it no difference
also thought it may be my Virtualbox installation, but it does still happen after Virtualbox is shut down,
the oonly thing i didn't try yet (the "only" of may haha, sorry of cause much more possibel) might be to remove the vboxdrv ?
unfortunately the bug seem to be intermittent so its difficult to isolate

any help or advise would re really really welcome

Changed in linux (Ubuntu):
status: In Progress → Incomplete
status: Incomplete → In Progress
MBrenaman (mbrenaman) on 2009-10-31
Changed in linux (Ubuntu):
status: In Progress → Fix Released
status: Fix Released → In Progress
quickridge (amhankin) on 2009-10-31
Changed in linux (Ubuntu):
status: In Progress → Fix Released
status: Fix Released → In Progress
58 comments hidden view all 138 comments
Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

To add to my experience, I'll say that system failure does not happen every time, but I find my system more unreliable when I resume. I am using the restriced NVidia 185 drivers and Compiz.

The horrible experience is just doing any task at all when the failures start. I'll change windows, and it will half-change before freezing the screen. I'll click on "Places" and it will try to load but fail halfway through. I'll try and open a terminal via my keyboard, and the terminal will load but I will receive no prompt. I'll kill X to start again, and the system will hang at a black screen, and no magicsys keys work anymore (I don't get the flashing keyboard lights, though).

Revision history for this message
neutrico (neutrico) wrote :

My laptop is Lenovo R61 with Nvidia NVS 140 discrete graphics.
This failure does not happen every time too, but I can say that almost always when I suspend laptop with any Openoffice application or Java based application such as Eclipse 3.5 IDE running.

Revision history for this message
Albert Cardona (cardona) wrote :

I concur with Crazy Man Dan: I observe the same pattern of failure to resume and brief password screen flash, relative to AC vs battery situation.

MacBookPro 5,5 with ubuntu 9.10.

Revision history for this message
TravisShelton (netaviofhell) wrote :

I observed no changes in activity when my system reported this bug to me. It simply appeared randomly when I wasn't really doing anything. I have Karmic, and I installed it only a few days ago. i used the Wubi downloader to install it on top of WIndows XP SP3. I have never used any Linux OS before, so I don't really know anything about this that I can contribute.

Revision history for this message
koyakun (koyakun) wrote :

Same problem on Dell Studio 1555 with ATI graphics card.

Revision history for this message
NJC (njc) wrote :

Same as others, I can carry on as normal after Suspend. But it's not waking after monitor is shut off which is probably related ... major PITA as I have to reboot to access my system.

Revision history for this message
Jan Obrátil (obrys) wrote :

@David, no problem. I have report it because I have similar symptoms like other people here. After resume something was broken.

Revision history for this message
Alessandro Fama' (alexsen-fama) wrote :

Same problem on an Acer 5737Z
It happens when I hibernate my notebook.

Revision history for this message
David Tombs (dgtombs) wrote :

Could everyone please stop spamming this report?

If you have the same symptoms as described in the bug description (that is, _just the warning_ and no other issues), then please do not reply with "me too" because the bug is already being worked on. It's not hardware-specific, so it's not necessary to collect any more hardware information.

If you have DIFFERENT symptoms, like system instability or lack of USB functionality, please report a different bug.

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

Excuse me, but what are we supposed to put in the but report? That it gives us this error when we resume and we have system instability? That would only get a dupe report.

We're getting an error, and our system is faulting. This bug report is saying that there's an error. We're just adding to it. The Nvidia drivers are fine, they worked well in Jaunty. The new Compiz is fine, too, I tested it extensively in Jaunty with no problems.

kdronan (kerry-ronan) on 2009-11-02
Changed in linux (Ubuntu):
status: In Progress → Fix Released
status: Fix Released → Fix Committed
Eric Burgess (ericdb) on 2009-11-02
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Ruben Verhack (ruben-verhack) wrote :

Hi,

Sorry if this is a noob-question, but does Fix Committed mean, that we can expect an update shortly? Or does this mean, the fix will be included in Karmic+1?

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

Rackstar: Fix Commited means that shortly the fix will be released through updates.

I don't know what the heck's going on, though.

Revision history for this message
Noble (meatlegs) wrote : Re: [Bug 417842] Re: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

This is great
Nice work everyone!

On Mon, Nov 2, 2009 at 11:59 AM, kdronan <email address hidden> wrote:

> ** Changed in: linux (Ubuntu)
> Status: In Progress => Fix Released
>
> ** Changed in: linux (Ubuntu)
> Status: Fix Released => Fix Committed
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> https://bugs.launchpad.net/bugs/417842
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Committed
>
> Bug description:
> Got this after resume from suspend to ram
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
> Mixer name : 'Realtek ALC883'
> Components : 'HDA:10ec0883,1043829f,00100002'
> Controls : 36
> Simple ctrls : 21
> Card1.Amixer.info:
> Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
> Mixer name : 'TriTech TR28602'
> Components : 'AC97a:54524123'
> Controls : 28
> Simple ctrls : 18
> Date: Sun Aug 23 21:19:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
> MachineType: System manufacturer P5K
> Package: linux-image-2.6.31-6-generic 2.6.31-6.26
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic
> root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M
> splash
> ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-6-generic N/A
> linux-firmware 1.16
> RfKill:
>
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> Uname: Linux 2.6.31-6-generic x86_64
> WpaSupplicantLog:
>
> dmi.bios.date: 07/03/2007
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 0603
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: P5K
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: P5K
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>

Revision history for this message
David Tombs (dgtombs) wrote :

@Chauncellor: I didn't (and don't) mean any offense, sorry. You and others have different symptoms from this report because _this_ report is simply a warning and has no other symptoms. Believe me, I have the exact same OOPS and no system instability. If you have system instability as well, then you are experiencing both this bug and another. Please do file another report. If it gets marked as a dupe, I'll unmark it myself. :)

Changed in linux (Ubuntu):
status: Fix Released → In Progress
Revision history for this message
David Tombs (dgtombs) wrote :

In other news, the fix is obviously not released, so I'm setting back to "In Progress".

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

None taken, and none meant, David.

However, what package should I file this against? What logs can I provide? All I can say right now is that the computer slowly dies and cries until it just hangs after resume, and the only hint I have is that kernel error.

maximus4 (jodyizhere) on 2009-11-04
Changed in linux (Ubuntu):
status: In Progress → Confirmed
status: Confirmed → In Progress
1 comments hidden view all 138 comments
Revision history for this message
DaveR (djrpublic) wrote :

During the resume I got an on screen message about /home sda(6) being unreachable or words to that effect. But I can access it.

The icons on the desktop for several files are not displayed correctly.

I'd like to suggest that this is NOT a low priority since a normal start-up is fraught with problems related to window behavior. I thought suspend would be THE short term solution.

Revision history for this message
Michael (michael-enablingwolf) wrote :

@DaveR

If you have got the fix that was released, and are still getting a bug. It is something not related to this one. The fix has been released and this particular bug should be gone. Any other issues should have their own filing.

Revision history for this message
DaveR (djrpublic) wrote : Re: [Bug 417842] Re: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

2 problems -
1 - when you're filing the bug from a crash report you can't see the
name/title of the bug so you have to pick one from memory of what the
error message was. If the message wasn't the bug title I picked I'm
sorry but it sounded that way. In the future I won't bother.
2 - If a fix was released how would I have got it before I filed the bug
report? How would I get it now?

David Rowell

Michael wrote:
> @DaveR
>
> If you have got the fix that was released, and are still getting a bug.
> It is something not related to this one. The fix has been released and
> this particular bug should be gone. Any other issues should have their
> own filing.
>

Revision history for this message
Timothy Wilson (timothy-gbcwhittier) wrote :

@DaveR

I do not believe that Michael meant any offense, it's just that at times things get in the wrong place, and need to get sorted out.

1: I've had the same issue. We could try sending Launchpad a suggestion, or as a workaround, try copying and pasting into another window to have the system report available as a reference.

2: Go to System > Administration > Update Manager. Check and Install Updates (your password will probably be required). I like to keep the Pre-released updates (karmic-proposed) box checked under "Settings" to get the updates sooner. I also check for updates Daily.

Thank you for your work to help make Ubuntu better.

Timothy Wilson

Revision history for this message
Cavsfan (cavsfan) wrote :

This is not my bug. Don't know why I got this email

Chauncellor wrote:
> Excuse me, but what are we supposed to put in the but report? That it
> gives us this error when we resume and we have system instability? That
> would only get a dupe report.
>
> We're getting an error, and our system is faulting. This bug report is
> saying that there's an error. We're just adding to it. The Nvidia
> drivers are fine, they worked well in Jaunty. The new Compiz is fine,
> too, I tested it extensively in Jaunty with no problems.
>
>

Revision history for this message
Cavsfan (cavsfan) wrote :

Sorry, this is not the bug I reported and I don't know why I got this.

David Tombs wrote:
> @Chauncellor: I didn't (and don't) mean any offense, sorry. You and
> others have different symptoms from this report because _this_ report is
> simply a warning and has no other symptoms. Believe me, I have the exact
> same OOPS and no system instability. If you have system instability as
> well, then you are experiencing both this bug and another. Please do
> file another report. If it gets marked as a dupe, I'll unmark it myself.
> :)
>
> ** Changed in: linux (Ubuntu)
> Status: Fix Released => In Progress
>
>

Revision history for this message
Michael (michael-enablingwolf) wrote :

I did not intend to offend. In fact I would like all bugs to be fixed. While attempting to give each unique issue a chance to not be buried in another bug. Even if you report it and it some gets labeled a dupe, or mislabeled. You can exert that it is not. I just believe it is advantageous to make each unique bug in it's own report. That way others who get the same issue can work together and get a fix for the specific issue. I would honestly hate to see anyone be lost in the crowd of one bug and hope someone sees it and gets a fix out.

I am not all that happy with how the bug reposting works right now. I get time outs a lot, plus get mail for bugs I have no reason for getting.

To add past what Timothy mentioned. If you are getting the KernelOOPS and it prompts Apport. When you see the final part, just make a comment of the issue and it is not a dupe of this bug. I do see it is not this bug. But it may appear to be. I was having strange issues after the OOPS, it is gone now. After I received the fix. I make sure the repo I am pulling from is also up to date. If after you receive it. It is pretty much not this same issue. Not saying your not having an issue.

After receiving the fix. My machine does not have any odd behavior related to resuming. I can only hope others experience it working for them.

"I do not believe that Michael meant any offense, it's just that at times things get in the wrong place, and need to get sorted out.

1: I've had the same issue. We could try sending Launchpad a suggestion, or as a workaround, try copying and pasting into another window to have the system report available as a reference.

2: Go to System > Administration > Update Manager. Check and Install Updates (your password will probably be required). I like to keep the Pre-released updates (karmic-proposed) box checked under "Settings" to get the updates sooner. I also check for updates Daily.

Thank you for your work to help make Ubuntu better.

Timothy Wilson"

Revision history for this message
Paul Belanger (pabelanger) wrote :

 ------------[ cut here ]------------
 WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x80/0x90()
 Hardware name: To Be Filled By O.E.M.
 Component: resume devices
 Modules linked in: nfs lockd nfs_acl auth_rpcgss sunrpc binfmt_misc ppdev snd_hda_codec_nvhdmi snd_hda_codec_via snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi psmouse lp nvidia(P) snd_rawmidi snd_seq_midi_event serio_raw iptable_filter snd_seq snd_timer snd_seq_device agpgart parport i2c_nforce2 ip_tables shpchp snd soundcore x_tables snd_page_alloc usbhid forcedeth
 Pid: 1540, comm: pm-suspend Tainted: P 2.6.31-14-generic-pae #48-Ubuntu
 Call Trace:
  [<c0146a1d>] warn_slowpath_common+0x6d/0xa0
  [<c0176d90>] ? suspend_test_finish+0x80/0x90
  [<c0176d90>] ? suspend_test_finish+0x80/0x90
  [<c0146a96>] warn_slowpath_fmt+0x26/0x30
  [<c0176d90>] suspend_test_finish+0x80/0x90
  [<c0176b7f>] suspend_devices_and_enter+0x9f/0xd0
  [<c057419e>] ? printk+0x18/0x1a
  [<c0176c69>] enter_state+0xb9/0xf0
  [<c017635d>] state_store+0x6d/0xb0
  [<c01762f0>] ? state_store+0x0/0xb0
  [<c03156b0>] kobj_attr_store+0x20/0x30
  [<c023cb40>] sysfs_write_file+0x90/0x100
  [<c01eac4a>] vfs_write+0x9a/0x190
  [<c023cab0>] ? sysfs_write_file+0x0/0x100
  [<c0578b0b>] ? do_page_fault+0x19b/0x380
  [<c01eb70d>] sys_write+0x3d/0x70
  [<c010336c>] syscall_call+0x7/0xb
 ---[ end trace 0293ab70890c612c ]---

Revision history for this message
Ruben Verhack (ruben-verhack) wrote :

Hello,

I don't want to sound impatient, but how is progress on this going? The comments and the large amount of changes in status kind of confuse me.

Thanks,
Ruben

Revision history for this message
Simon Gardner (slgard) wrote : Re: [Bug 417842] Re: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

Hi Mate,

No idea :)

I think there must be some kind of mix up with email addresses or something.

I'm "subscribed" to this bug probably for the same reasons you are, but I
don't have anything
to do with fixing it.

Also, I agree, the status messages are bit "overwhelming" ...

Cheers

Simon.

2009/11/13 Rackstar <email address hidden>

> Hello,
>
> I don't want to sound impatient, but how is progress on this going? The
> comments and the large amount of changes in status kind of confuse me.
>
> Thanks,
> Ruben
>
> --
> WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> https://bugs.launchpad.net/bugs/417842
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> Got this after resume from suspend to ram
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
> Mixer name : 'Realtek ALC883'
> Components : 'HDA:10ec0883,1043829f,00100002'
> Controls : 36
> Simple ctrls : 21
> Card1.Amixer.info:
> Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
> Mixer name : 'TriTech TR28602'
> Components : 'AC97a:54524123'
> Controls : 28
> Simple ctrls : 18
> Date: Sun Aug 23 21:19:16 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
> MachineType: System manufacturer P5K
> Package: linux-image-2.6.31-6-generic 2.6.31-6.26
> PccardctlIdent:
>
> PccardctlStatus:
>
> ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic
> root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M
> splash
> ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-6-generic N/A
> linux-firmware 1.16
> RfKill:
>
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x7c/0x80()
> Uname: Linux 2.6.31-6-generic x86_64
> WpaSupplicantLog:
>
> dmi.bios.date: 07/03/2007
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 0603
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: P5K
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: P5K
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>

Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

There's a bug for the ridiculous amounts of emails that are sent by LP. I encourage you to chime in on it:

https://bugs.launchpad.net/launchpad/+bug/440519

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

The issue reported here is actually resolved with the fix applied to bug https://bugs.edge.launchpad.net/ubuntu/+bug/464552 . As that bug has been marked Fix Released, I'll update the status here to reflect the same. Thanks.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Revision history for this message
Przemek K. (azrael) wrote :

Chris: please don't change the bug status without a valid reason.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
jhfhlkjlj (fdsuufijjejejejej-deactivatedaccount) wrote :

Hi, for those that have the system instability, I finally got around to writing a report. Please confirm and supply any info over at bug 490893

Changed in linux (Ubuntu):
status: Fix Released → Incomplete
Revision history for this message
David Tombs (dgtombs) wrote :

@Charles: Please provide a reason for the incomplete status.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Revision history for this message
mojsha (andriy-moshyk) wrote : Re: [Bug 417842] Re: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()

Hi,
I just discovered KernelOops problem after a wake up from the
'suspend' mode. Rather than submitting a new bug report I attached it to
the already started discussion.

The system is stable so far. It is not a mission critical desktop, and I
can simply ignore these system reports. Just wanted to give a feed back
on the current release.

A.

David Tombs wrote:
> @Charles: Please provide a reason for the incomplete status.
>
> ** Changed in: linux (Ubuntu)
> Status: Incomplete => Fix Released
>
>

Revision history for this message
David Tombs (dgtombs) wrote :

Hi mojsha,

Thanks for your report. Since this issue is fixed for most people, I would recommend filing your issue as a separate report. It may be due to a different problem.

Thank you!

Revision history for this message
Albert Cardona (cardona) wrote :

As far as I can tell, the issue is alive and well--the bug persists. Every detail of the error initially described by "Trampas" on 2009-10-28 is present (i.e. need to resume twice from sleep when going to sleep with power cord on and resuming with power cord off). So perhaps this bug did not have all these reported duplicates--there were separate errors.

Which package update supposedly solved this issue?

This is a MacBookPro 5,5 with 9.10 dist-upgraded to today 2009-12-23.

Revision history for this message
Cryle (chrisallan32) wrote : Re: [Bug 417842] Re: WARNING: at/build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52suspend_test_finish+0x7c/0x80()
Download full text (3.4 KiB)

I have not had this issue for a while.

I'm using an Acer TravelMate 2420.
-----Original Message-----
From: Albert Cardona <email address hidden>
Date: Thu, 24 Dec 2009 02:31:48
To: <email address hidden>
Subject: [Bug 417842] Re: WARNING: at
 /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
 suspend_test_finish+0x7c/0x80()

As far as I can tell, the issue is alive and well--the bug persists.
Every detail of the error initially described by "Trampas" on 2009-10-28
is present (i.e. need to resume twice from sleep when going to sleep
with power cord on and resuming with power cord off). So perhaps this
bug did not have all these reported duplicates--there were separate
errors.

Which package update supposedly solved this issue?

This is a MacBookPro 5,5 with 9.10 dist-upgraded to today 2009-12-23.

--
WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()
https://bugs.launchpad.net/bugs/417842
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” package in Ubuntu: Fix Released

Bug description:
Got this after resume from suspend to ram

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: bigbrother 31119 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe7f8000 irq 22'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,1043829f,00100002'
   Controls : 36
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'AudioPCI'/'Ensoniq AudioPCI ENS1371 at 0xec00, irq 18'
   Mixer name : 'TriTech TR28602'
   Components : 'AC97a:54524123'
   Controls : 28
   Simple ctrls : 18
Date: Sun Aug 23 21:19:16 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=e5393111-3b7f-48b5-9d52-f958bc005c4a
MachineType: System manufacturer P5K
Package: linux-image-2.6.31-6-generic 2.6.31-6.26
PccardctlIdent:

PccardctlStatus:

ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-6-generic root=/dev/mapper/ingsoc-root ro vga=356 crashkernel=384M-2G:64M,2G-:128M splash
ProcVersionSignature: Ubuntu 2.6.31-6.26-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-6-generic N/A
 linux-firmware 1.16
RfKill:

SourcePackage: linux
Tags: kernel-oops
Title: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x7c/0x80()
Uname: Linux 2.6.31-6-generic x86_64
WpaSupplicantLog:

dmi.bios.date: 07/03/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0603
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5K
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0603:bd07/03/2007:svnSystemmanufacturer:pnP5K:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5K:rvrRev1.xx:cvnChassisMan...

Read more...

Revision history for this message
agkrish (agkrish) wrote :

I'm running Ubuntu on HP dv5-1050ee (AMD Turion X2 64 bit) and this has been occuring everytime the system resumes from suspend mode. have to force shut down and switch on again.

Will the update manager get the relevant update to solve this issue ?

How do I get the logs and post it for the techies who want the details?

Revision history for this message
David Tombs (dgtombs) wrote :

If you are still experiencing the issue, please file a separate report. Your problem is different.

Aadil H (aadilh) on 2009-12-29
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
status: Confirmed → Fix Released
MiMaBe (lugardelocos) on 2010-03-01
Changed in linux (Ubuntu):
status: Fix Released → New
Revision history for this message
David Tombs (dgtombs) wrote :

Please do not change the status of this bug without an explanation.

Changed in linux (Ubuntu):
status: New → Fix Released
Revision history for this message
Orange-juice (orange-juice) wrote :

ı have the same problem in 12.04 x64 ubuntu. when I resumed from the suspend mode, ksoftirqd and kworker uses %100 of cpu. I have the trouble for 3 years.

please warn me about the information you need

Displaying first 40 and last 40 comments. View all 138 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers